# PutDebugSettingsProf

PUT

/debug/settings/pprof

Enables blocking and mutex profiles, and returns the old settings

## Authorizations

- **[api_key](https://dev.algorand.co/reference/rest-api/algod/#api_key)**

## Responses

### 200

DebugPprof is the response to the /debug/extra/pprof endpoint

Select media type application/json

_algod mutex and blocking profiling state._

Algod mutex and blocking profiling state.

object

**block-rate**

The rate of blocking events. The profiler aims to sample an average of one blocking event per rate nanoseconds spent blocked. To turn off profiling entirely, pass rate 0.

integer format: uint64

##### Example

```
1000
```

**mutex-rate**

The rate of mutex events. On average 1/rate events are reported. To turn off profiling entirely, pass rate 0

integer format: uint64

##### Example

```
1000
```
